# NyaaAnime

`nyaa` (short for `nyaa_anime`) is the painless Nyaa Torrents anime command-line tool.
Search for and download anime torrents and open them automatically.
Results are color-coded - green for new episodes of previously downloaded torrents, cyan (blue) for previously downloaded torrents.
Automatically find and downloaded new episodes of previously downloaded anime with `$ nyaa get`!
List downloaded torrent files with `$ nyaa list [-a]`.
Delete torrents for a series with `$ nyaa remove ...`.

## Installation

    $ gem install nyaa_anime

That's all!

## Usage (very outdated)

Run `$ nyaa` to see the usage text:

![Screenshot 2014-10-16 06.39.22.png](https://bitbucket.org/repo/yn7dbo/images/3610502476-Screenshot%202014-10-16%2006.39.22.png)

For example, try `$ nyaa -m -f ch no game no life`:

![Screenshot 2014-10-16 06.44.21.png](https://bitbucket.org/repo/yn7dbo/images/2797464601-Screenshot%202014-10-16%2006.44.21.png)

Downloads are saved to `~/Downloads/nyaa/`. Future queries will check the files there and automatically color-code the search results. Green is for new episodes of previously downloaded torrents, while cyan (blue) is for previously downloaded torrents:

![Screenshot 2014-10-16 06.46.11.png](https://bitbucket.org/repo/yn7dbo/images/157798882-Screenshot%202014-10-16%2006.46.11.png)

The `-n` (`--new`) option makes `nyaa` find new episodes of previously downloaded anime (the torrents in `~/Downloads/nyaa/`):

![Screenshot 2014-10-16 06.47.55.png](https://bitbucket.org/repo/yn7dbo/images/2090162283-Screenshot%202014-10-16%2006.47.55.png)

You can also run `$ nyaa get` which is equivalent to `$ nyaa -na`:

![Screenshot 2014-10-16 06.48.33.png](https://bitbucket.org/repo/yn7dbo/images/3719415092-Screenshot%202014-10-16%2006.48.33.png)

## Donations

If you like `nyaa`, please donate via PayPal to wujoshuawu@gmail.com to keep me afloat. Thank you!

## Contributing

1. Fork it ( https://bitbucket.org/tsubaki/nyaa_anime/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request